<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:i6="http://iuclid6.echa.europa.eu/namespaces/platform-fields/v1" xmlns:i6c="http://iuclid6.echa.europa.eu/namespaces/platform-container/v1" xmlns:xt="http://iuclid6.echa.europa.eu/namespaces/FLEXIBLE_RECORD-ProductInfo/4.0" version="1.0">
    <xsl:template match="/">
        <html>
            <head>
                <link href="iuclid6_style.css" rel="stylesheet" type="text/css"/>
            </head>
            <body>
                <table>
                    <tr/>
                    <xsl:apply-templates/>
                </table>
            </body>
        </html>
    </xsl:template>
    <xsl:template match="//i6c:PlatformMetadata | //i6c:Attachments | //i6c:ModificationHistory"/>
    <xsl:template match="//xt:FLEXIBLE_RECORD">
        <tr class="headerDocument">
            <td>Product information</td>
            <td>
                <hr/>
            </td>
        </tr>
        <xsl:apply-templates select="./@*"/>
        <xsl:apply-templates/>
    </xsl:template>
    <xsl:template match="//xt:ProductNotPackaged">
        <tr>
            <td class="label">Product not packaged</td>
            <td class="value">
                <xsl:value-of select=". "/>
            </td>
        </tr>
    </xsl:template>
    <xsl:template match="//xt:Country | //xt:UseType | //xt:SecondaryUses">
        <tr>
            <td class="label">
                <xsl:choose>
                    <xsl:when test="name(.) = 'UseType'">Use type</xsl:when>
                    <xsl:when test="name(.) = 'Country'">Country</xsl:when>
                    <xsl:when test="name(.) = 'SecondaryUses'">Secondary uses</xsl:when>
                </xsl:choose>
            </td>
            <td class="value">
                <xsl:choose>
                    <xsl:when test="./i6:value = '108'">Austria</xsl:when>
                    <xsl:when test="./i6:value = '147'">Belgium</xsl:when>
                    <xsl:when test="./i6:value = '184'">Bulgaria</xsl:when>
                    <xsl:when test="./i6:value = '286'">Croatia</xsl:when>
                    <xsl:when test="./i6:value = '304'">Cyprus</xsl:when>
                    <xsl:when test="./i6:value = '307'">Czech Republic</xsl:when>
                    <xsl:when test="./i6:value = '333'">Denmark</xsl:when>
                    <xsl:when test="./i6:value = '754'">Estonia</xsl:when>
                    <xsl:when test="./i6:value = '766'">Finland</xsl:when>
                    <xsl:when test="./i6:value = '779'">France</xsl:when>
                    <xsl:when test="./i6:value = '807'">Germany</xsl:when>
                    <xsl:when test="./i6:value = '810'">Greece</xsl:when>
                    <xsl:when test="./i6:value = '845'">Hungary</xsl:when>
                    <xsl:when test="./i6:value = '882'">Iceland</xsl:when>
                    <xsl:when test="./i6:value = '911'">Ireland</xsl:when>
                    <xsl:when test="./i6:value = '916'">Italy</xsl:when>
                    <xsl:when test="./i6:value = '985'">Latvia</xsl:when>
                    <xsl:when test="./i6:value = '2891'">Liechtenstein</xsl:when>
                    <xsl:when test="./i6:value = '1024'">Lithuania</xsl:when>
                    <xsl:when test="./i6:value = '1041'">Luxembourg</xsl:when>
                    <xsl:when test="./i6:value = '1048'">Malta</xsl:when>
                    <xsl:when test="./i6:value = '1158'">Netherlands</xsl:when>
                    <xsl:when test="./i6:value = '1175'">Norway</xsl:when>
                    <xsl:when test="./i6:value = '1394'">Poland</xsl:when>
                    <xsl:when test="./i6:value = '1401'">Portugal</xsl:when>
                    <xsl:when test="./i6:value = '1496'">Romania</xsl:when>
                    <xsl:when test="./i6:value = '3339'">Slovak Republic</xsl:when>
                    <xsl:when test="./i6:value = '1562'">Slovenia</xsl:when>
                    <xsl:when test="./i6:value = '1567'">Spain</xsl:when>
                    <xsl:when test="./i6:value = '1591'">Sweden</xsl:when>
                    <xsl:when test="./i6:value = '1651'">United Kingdom</xsl:when>
                    <xsl:when test="./i6:value = '64873'">Consumer</xsl:when>
                    <xsl:when test="./i6:value = '58391'">Professional</xsl:when>
                    <xsl:when test="./i6:value = '3862'">Industrial</xsl:when>
                    <xsl:when test="./i6:value = '64945'">F Mixtures for further formulation</xsl:when>
                    <xsl:when test="./i6:value = '64877'">PC-ADH-1 Adhesives and sealants - household, office or school use</xsl:when>
                    <xsl:when test="./i6:value = '64878'">PC-ADH-2 Adhesives and sealants - building and construction works (except cement based adhesives)</xsl:when>
                    <xsl:when test="./i6:value = '64879'">PC-ADH-3 Adhesives and sealants - footwear and leather goods</xsl:when>
                    <xsl:when test="./i6:value = '64880'">PC-ADH-4 Adhesives and sealants - paper and board related processes</xsl:when>
                    <xsl:when test="./i6:value = '64881'">PC-ADH-5 Adhesives and sealants - transportation industry</xsl:when>
                    <xsl:when test="./i6:value = '64882'">PC-ADH-6 Adhesives and sealants -  woodworking and joinery (includes putty)</xsl:when>
                    <xsl:when test="./i6:value = '64883'">PC-ADH-7 Adhesives and sealants - assembly line processes</xsl:when>
                    <xsl:when test="./i6:value = '64884'">PC-ADH-8 Multi-component adhesives and sealants</xsl:when>
                    <xsl:when test="./i6:value = '64886'">PC-ADH-OTH Other adhesives and sealants</xsl:when>
                    <xsl:when test="./i6:value = '64946'">PC-AIR-1 Air care products for indoor rooms (continuous action)</xsl:when>
                    <xsl:when test="./i6:value = '64947'">PC-AIR-2 Air care products for indoor rooms (instant action)</xsl:when>
                    <xsl:when test="./i6:value = '64948'">PC-AIR-3 Air care products for shoes</xsl:when>
                    <xsl:when test="./i6:value = '64949'">PC-AIR-4 Air care products for vehicles</xsl:when>
                    <xsl:when test="./i6:value = '64950'">PC-AIR-5 Ambient deodorisers (excludes room deodorisers)</xsl:when>
                    <xsl:when test="./i6:value = '64951'">PC-AIR-6 Incense</xsl:when>
                    <xsl:when test="./i6:value = '64952'">PC-AIR-7 Candles - scented and unscented</xsl:when>
                    <xsl:when test="./i6:value = '64953'">PC-AIR-8 Matches</xsl:when>
                    <xsl:when test="./i6:value = '64954'">PC-AIR-OTH Other air care products</xsl:when>
                    <xsl:when test="./i6:value = '64955'">PC-ANI-1 Additives and premixtures for animal feed</xsl:when>
                    <xsl:when test="./i6:value = '64956'">PC-ANI-2 Animal shampoos and conditioners</xsl:when>
                    <xsl:when test="./i6:value = '64957'">PC-ANI-OTH Other products for animals (excluding biocidal products)</xsl:when>
                    <xsl:when test="./i6:value = '64958'">PC-ART-1 Artists’, craft and hobby paints</xsl:when>
                    <xsl:when test="./i6:value = '64959'">PC-ART-2 Finger paints</xsl:when>
                    <xsl:when test="./i6:value = '64960'">PC-ART-3 Crayons, chalks and pastels</xsl:when>
                    <xsl:when test="./i6:value = '64961'">PC-ART-4 Auxiliary materials for artists</xsl:when>
                    <xsl:when test="./i6:value = '64962'">PC-ART-5 Modelling compounds</xsl:when>
                    <xsl:when test="./i6:value = '64963'">PC-ART-6 Chemical products used for decorative purposes</xsl:when>
                    <xsl:when test="./i6:value = '64964'">PC-ART-OTH Other art  materials (including chemical products used for decorative purposes)</xsl:when>
                    <xsl:when test="./i6:value = '64965'">PC-CLN-1 Abrasive cleaning products</xsl:when>
                    <xsl:when test="./i6:value = '64966'">PC-CLN-2 All-purpose (or multi-purpose) non-abrasive cleaners</xsl:when>
                    <xsl:when test="./i6:value = '64967'">PC-CLN-3 Bleaching products for cleaning or laundry use (excludes biocidal products)</xsl:when>
                    <xsl:when test="./i6:value = '64968'">PC-CLN-4 Descaling products</xsl:when>
                    <xsl:when test="./i6:value = '64969'">PC-CLN-5 Drain cleaning products</xsl:when>
                    <xsl:when test="./i6:value = '64970'">PC-CLN-6 Fireplace and smoke resin cleaners</xsl:when>
                    <xsl:when test="./i6:value = '64971'">PC-CLN-7 Glass/window/mirror cleaning products (excludes windscreens)</xsl:when>
                    <xsl:when test="./i6:value = '64972'">PC-CLN-8 Indoor furniture cleaning/care products (excludes leather and upholstery)</xsl:when>
                    <xsl:when test="./i6:value = '64973'">PC-CLN-9 Outdoor cleaners (excludes stone, concrete and similar surfaces)</xsl:when>
                    <xsl:when test="./i6:value = '64974'">PC-CLN-10.1 Cleaners for kitchen areas</xsl:when>
                    <xsl:when test="./i6:value = '64975'">PC-CLN-10.2 Cleaners for kitchen machinery and equipment</xsl:when>
                    <xsl:when test="./i6:value = '64976'">PC-CLN-10.3 Cooking hob cleaning/care products</xsl:when>
                    <xsl:when test="./i6:value = '64977'">PC-CLN-10.4 Oven, grill or barbecue cleaners</xsl:when>
                    <xsl:when test="./i6:value = '64978'">PC-CLN-10.OTH Other kitchen and related cleaning products</xsl:when>
                    <xsl:when test="./i6:value = '64979'">PC-CLN-11.1 Bathroom cleaners</xsl:when>
                    <xsl:when test="./i6:value = '64980'">PC-CLN-11.2 Toilet cleaners</xsl:when>
                    <xsl:when test="./i6:value = '64981'">PC-CLN-11.3 Multi-flush products for toilets</xsl:when>
                    <xsl:when test="./i6:value = '64982'">PC-CLN-11.OTH Other bathroom and toilet cleaning/care products (excludes biocidal products)</xsl:when>
                    <xsl:when test="./i6:value = '64983'">PC-CLN-12.1 Cleaning/care products for stone and tiles - regular use</xsl:when>
                    <xsl:when test="./i6:value = '64984'">PC-CLN-12.2 Heavy duty cleaning products for stone and similar surfaces</xsl:when>
                    <xsl:when test="./i6:value = '64985'">PC-CLN-12.3 Grout cleaners</xsl:when>
                    <xsl:when test="./i6:value = '64986'">PC-CLN-12.OTH Other stone, tile and grout cleaning/care products</xsl:when>
                    <xsl:when test="./i6:value = '64987'">PC-CLN-13.1 Floor cleaning products</xsl:when>
                    <xsl:when test="./i6:value = '65145'">PC-CLN-13.2 Floor care products e.g. waxes, emulsions</xsl:when>
                    <xsl:when test="./i6:value = '64988'">PC-CLN-13.3 Floor strippers</xsl:when>
                    <xsl:when test="./i6:value = '64990'">PC-CLN-13.OTH Other floor cleaning, care and maintenance products (excludes stone and tile)</xsl:when>
                    <xsl:when test="./i6:value = '64991'">PC-CLN-14.1 Cleaning products for carpet/upholstery</xsl:when>
                    <xsl:when test="./i6:value = '64992'">PC-CLN-14.2 Deodorisers or fresheners for carpet/upholstery</xsl:when>
                    <xsl:when test="./i6:value = '64993'">PC-CLN-14.OTH Other carpet and upholstery products</xsl:when>
                    <xsl:when test="./i6:value = '64994'">PC-CLN-15.1 Cleaners for eyewear</xsl:when>
                    <xsl:when test="./i6:value = '64995'">PC-CLN-15.2 Cleaners for home electronic screens</xsl:when>
                    <xsl:when test="./i6:value = '64996'">PC-CLN-15.3 Cleaners for musical instruments</xsl:when>
                    <xsl:when test="./i6:value = '64997'">PC-CLN-15.4 Metal polish/tarnish remover</xsl:when>
                    <xsl:when test="./i6:value = '64998'">PC-CLN-15.OTH Other cleaners for specific personal items</xsl:when>
                    <xsl:when test="./i6:value = '64999'">PC-CLN-16.1 Leather - cleaning and care products</xsl:when>
                    <xsl:when test="./i6:value = '65000'">PC-CLN-16.2 Textile footwear - cleaning products</xsl:when>
                    <xsl:when test="./i6:value = '65001'">PC-CLN-16.3 Textile fresheners/deodorisers</xsl:when>
                    <xsl:when test="./i6:value = '65002'">PC-CLN-16.4 Dry cleaning and associated products</xsl:when>
                    <xsl:when test="./i6:value = '65003'">PC-CLN-16.5 Impregnation products for finished textiles and leather goods</xsl:when>
                    <xsl:when test="./i6:value = '65004'">PC-CLN-16.6 Outdoor textiles - cleaning products</xsl:when>
                    <xsl:when test="./i6:value = '65005'">PC-CLN-16.OTH Other textile and leather cleaning and care products (including footwear)</xsl:when>
                    <xsl:when test="./i6:value = '65006'">PC-CLN-17.1 Exterior cleaning products - all vehicle types</xsl:when>
                    <xsl:when test="./i6:value = '65007'">PC-CLN-17.2 Exterior care products -  all vehicle types</xsl:when>
                    <xsl:when test="./i6:value = '65008'">PC-CLN-17.3 Interior cleaning and care products (excludes air care products, and products for upholstery or leather)</xsl:when>
                    <xsl:when test="./i6:value = '65009'">PC-CLN-17.4 Engine cleaners</xsl:when>
                    <xsl:when test="./i6:value = '65010'">PC-CLN-17.5 Brake cleaners</xsl:when>
                    <xsl:when test="./i6:value = '65011'">PC-CLN-17.6 Chromium, rim and other metal cleaners -  all vehicle types</xsl:when>
                    <xsl:when test="./i6:value = '65012'">PC-CLN-17.7 Windscreen/windshield cleaners</xsl:when>
                    <xsl:when test="./i6:value = '65013'">PC-CLN-17.8 Windscreen/windshield wash fluid</xsl:when>
                    <xsl:when test="./i6:value = '65014'">PC-CLN-17.OTH Other vehicle (all types) cleaning and care products</xsl:when>
                    <xsl:when test="./i6:value = '65015'">PC-CLN-OTH Other cleaning, care and maintenance products (excludes biocidal products)</xsl:when>
                    <xsl:when test="./i6:value = '65016'">PC-COL-1 Dyes</xsl:when>
                    <xsl:when test="./i6:value = '65017'">PC-COL-2 Pigments</xsl:when>
                    <xsl:when test="./i6:value = '65018'">PC-CON-1 Cement</xsl:when>
                    <xsl:when test="./i6:value = '65019'">PC-CON-2 Concrete</xsl:when>
                    <xsl:when test="./i6:value = '65020'">PC-CON-3 Gypsum</xsl:when>
                    <xsl:when test="./i6:value = '65021'">PC-CON-4 Mortars</xsl:when>
                    <xsl:when test="./i6:value = '65022'">PC-CON-5 Construction chemicals</xsl:when>
                    <xsl:when test="./i6:value = '65023'">PC-CON-OTH Other construction products</xsl:when>
                    <xsl:when test="./i6:value = '65024'">PC-DET-1.1 Laundry detergent for hand washing</xsl:when>
                    <xsl:when test="./i6:value = '65025'">PC-DET-1.2 Laundry detergents - household use</xsl:when>
                    <xsl:when test="./i6:value = '65026'">PC-DET-1.3 Laundry detergents - professional or industrial use</xsl:when>
                    <xsl:when test="./i6:value = '65027'">PC-DET-1.OTH Other laundry detergents</xsl:when>
                    <xsl:when test="./i6:value = '65028'">PC-DET-2.1 Detergency boosters and in-wash stain removers</xsl:when>
                    <xsl:when test="./i6:value = '65029'">PC-DET-2.2 Fabric softeners</xsl:when>
                    <xsl:when test="./i6:value = '65030'">PC-DET-2.3 Ironing aid products</xsl:when>
                    <xsl:when test="./i6:value = '65031'">PC-DET-2.4 Laundry starch</xsl:when>
                    <xsl:when test="./i6:value = '65032'">PC-DET-2.5 Pre-treatment stain removers</xsl:when>
                    <xsl:when test="./i6:value = '65033'">PC-DET-2.6 Rinse agents for laundry (excludes biocidal products)</xsl:when>
                    <xsl:when test="./i6:value = '65034'">PC-DET-2.7 Washing machine care agents</xsl:when>
                    <xsl:when test="./i6:value = '65035'">PC-DET-2.8 Whitening agents or optical brighteners</xsl:when>
                    <xsl:when test="./i6:value = '65036'">PC-DET-2.OTH Other auxiliary laundry and care products (excludes biocidal products)</xsl:when>
                    <xsl:when test="./i6:value = '65037'">PC-DET-3.1 Automatic dishwashing detergents - household use</xsl:when>
                    <xsl:when test="./i6:value = '65038'">PC-DET-3.2 Automatic dishwashing detergents - professional or industrial use</xsl:when>
                    <xsl:when test="./i6:value = '65039'">PC-DET-3.3 Hand dishwashing detergents</xsl:when>
                    <xsl:when test="./i6:value = '65040'">PC-DET-3.OTH Other dishwashing detergents</xsl:when>
                    <xsl:when test="./i6:value = '65041'">PC-DET-4.1 Dishwasher salt</xsl:when>
                    <xsl:when test="./i6:value = '65042'">PC-DET-4.2 Dishwashing machine care agents</xsl:when>
                    <xsl:when test="./i6:value = '65043'">PC-DET-4.3 Glass protection products</xsl:when>
                    <xsl:when test="./i6:value = '65044'">PC-DET-4.4 Rinse agents for dishes</xsl:when>
                    <xsl:when test="./i6:value = '65045'">PC-DET-4.OTH Other auxiliary dishwashing and care products</xsl:when>
                    <xsl:when test="./i6:value = '65046'">PC-ELQ E-liquids and mixtures for electronic cigarettes</xsl:when>
                    <xsl:when test="./i6:value = '65047'">PC-FER-1 Fertilisers</xsl:when>
                    <xsl:when test="./i6:value = '65048'">PC-FER-2 Liming material</xsl:when>
                    <xsl:when test="./i6:value = '65049'">PC-FER-3 Soil improvers</xsl:when>
                    <xsl:when test="./i6:value = '65050'">PC-FER-4 Growing media</xsl:when>
                    <xsl:when test="./i6:value = '65051'">PC-FER-5 Agronomic additives</xsl:when>
                    <xsl:when test="./i6:value = '65052'">PC-FER-6 Plant biostimulants</xsl:when>
                    <xsl:when test="./i6:value = '65053'">PC-FER-7 Combination of fertilisers and fertilising products</xsl:when>
                    <xsl:when test="./i6:value = '65054'">PC-FUE-1 Fuels for vehicles and machinery</xsl:when>
                    <xsl:when test="./i6:value = '65055'">PC-FUE-2 Lamp oils</xsl:when>
                    <xsl:when test="./i6:value = '65056'">PC-FUE-3 Grill lighter fluids</xsl:when>
                    <xsl:when test="./i6:value = '65057'">PC-FUE-4 Camp fuels</xsl:when>
                    <xsl:when test="./i6:value = '65058'">PC-FUE-5 Fuel additives and fuel components</xsl:when>
                    <xsl:when test="./i6:value = '65059'">PC-FUE-OTH Other fuels</xsl:when>
                    <xsl:when test="./i6:value = '65060'">PC-INK-1 Writing and drawing inks</xsl:when>
                    <xsl:when test="./i6:value = '65061'">PC-INK-2 Inks and toners for home and office printers</xsl:when>
                    <xsl:when test="./i6:value = '65062'">PC-INK-3 Commercial printing inks, toners and related finishing products</xsl:when>
                    <xsl:when test="./i6:value = '65063'">PC-INK-4 Pressroom chemicals</xsl:when>
                    <xsl:when test="./i6:value = '65064'">PC-INK-5 Correction fluids</xsl:when>
                    <xsl:when test="./i6:value = '65065'">PC-INK-OTH Other inks, toners and related printing materials</xsl:when>
                    <xsl:when test="./i6:value = '65066'">PC-PNT-1 Aerosol paints and coatings</xsl:when>
                    <xsl:when test="./i6:value = '65067'">PC-PNT-2 Paints/coatings - Decorative</xsl:when>
                    <xsl:when test="./i6:value = '65068'">PC-PNT-3 Paints/coatings - Protective and functional</xsl:when>
                    <xsl:when test="./i6:value = '65069'">PC-PNT-4 Marine vessel coatings (excludes anti-fouling products)</xsl:when>
                    <xsl:when test="./i6:value = '65070'">PC-PNT-5 Automotive and aerospace coatings</xsl:when>
                    <xsl:when test="./i6:value = '65071'">PC-PNT-6 Factory-applied coatings (excludes categories already covered)</xsl:when>
                    <xsl:when test="./i6:value = '65072'">PC-PNT-7 Paint removers, thinners and related auxiliaries</xsl:when>
                    <xsl:when test="./i6:value = '65073'">PC-PNT-OTH Other paints and coating materials</xsl:when>
                    <xsl:when test="./i6:value = '65074'">PC-PYR-1 Fire works for indoor use</xsl:when>
                    <xsl:when test="./i6:value = '65075'">PC-PYR-2 Fire works for outdoor use</xsl:when>
                    <xsl:when test="./i6:value = '65076'">PC-PYR-3 Theatrical pyrotechnic products</xsl:when>
                    <xsl:when test="./i6:value = '65077'">PC-PYR-4 Signalling products</xsl:when>
                    <xsl:when test="./i6:value = '65078'">PC-PYR-OTH Other pyrotechnic products</xsl:when>
                    <xsl:when test="./i6:value = '65079'">PC-TAT Tattoo inks</xsl:when>
                    <xsl:when test="./i6:value = '65080'">PC-TEC-1 Adsorbents</xsl:when>
                    <xsl:when test="./i6:value = '65081'">PC-TEC-2 Antifreeze and de-icing products</xsl:when>
                    <xsl:when test="./i6:value = '65082'">PC-TEC-3 Desiccants</xsl:when>
                    <xsl:when test="./i6:value = '65083'">PC-TEC-4 Electrolytes for batteries</xsl:when>
                    <xsl:when test="./i6:value = '65084'">PC-TEC-5 Fire extinguishers</xsl:when>
                    <xsl:when test="./i6:value = '65085'">PC-TEC-6 Fragrances</xsl:when>
                    <xsl:when test="./i6:value = '65086'">PC-TEC-7 Heat transfer fluids</xsl:when>
                    <xsl:when test="./i6:value = '65087'">PC-TEC-8 Hydraulic fluids, including brake and transmission fluids</xsl:when>
                    <xsl:when test="./i6:value = '65088'">PC-TEC-9 Intermediates</xsl:when>
                    <xsl:when test="./i6:value = '65089'">PC-TEC-10 Leather treatment products (excludes dyes and pigments)</xsl:when>
                    <xsl:when test="./i6:value = '65090'">PC-TEC-11 Lubricants, greases, release agents</xsl:when>
                    <xsl:when test="./i6:value = '65091'">PC-TEC-12 Metal surface treatment products</xsl:when>
                    <xsl:when test="./i6:value = '65092'">PC-TEC-13 Metal working fluids</xsl:when>
                    <xsl:when test="./i6:value = '65093'">PC-TEC-14 Paper and board treatment products (excluding dyes)</xsl:when>
                    <xsl:when test="./i6:value = '65094'">PC-TEC-15 Photochemicals</xsl:when>
                    <xsl:when test="./i6:value = '65095'">PC-TEC-16 Polymer preparations and compounds</xsl:when>
                    <xsl:when test="./i6:value = '65096'">PC-TEC-17 Processing aids</xsl:when>
                    <xsl:when test="./i6:value = '65097'">PC-TEC-18 Products used in mining, oil or gas exploration processes</xsl:when>
                    <xsl:when test="./i6:value = '65098'">PC-TEC-19 Reagents and laboratory chemicals</xsl:when>
                    <xsl:when test="./i6:value = '65099'">PC-TEC-20 Soil remediation products</xsl:when>
                    <xsl:when test="./i6:value = '65100'">PC-TEC-21 Solvents and extraction agents</xsl:when>
                    <xsl:when test="./i6:value = '65101'">PC-TEC-22 Surfactants mixtures for industrial applications</xsl:when>
                    <xsl:when test="./i6:value = '65102'">PC-TEC-23 Textile treatment products (excludes dyes and pigments)</xsl:when>
                    <xsl:when test="./i6:value = '65103'">PC-TEC-24 Welding, soldering, and flux products</xsl:when>
                    <xsl:when test="./i6:value = '65104'">PC-TEC-OTH Other products for  chemical or technical processes</xsl:when>
                    <xsl:when test="./i6:value = '65105'">PC-UNC Chemical products - uncategorised</xsl:when>
                    <xsl:when test="./i6:value = '65106'">PP-BIO-1 Biocidal products for human hygiene</xsl:when>
                    <xsl:when test="./i6:value = '65107'">PP-BIO-2 Disinfectants and algaecides not intended for direct application to humans or animals</xsl:when>
                    <xsl:when test="./i6:value = '65108'">PP-BIO-3 Biocidal products for veterinary hygiene</xsl:when>
                    <xsl:when test="./i6:value = '65109'">PP-BIO-4 Biocidal products for food and feed area</xsl:when>
                    <xsl:when test="./i6:value = '65110'">PP-BIO-5 Biocidal products for drinking water</xsl:when>
                    <xsl:when test="./i6:value = '65111'">PP-BIO-6 Biocidal products used as preservatives for products during storage</xsl:when>
                    <xsl:when test="./i6:value = '65112'">PP-BIO-7 Film preservatives</xsl:when>
                    <xsl:when test="./i6:value = '65113'">PP-BIO-8 Wood preservatives</xsl:when>
                    <xsl:when test="./i6:value = '65114'">PP-BIO-9 Fibre, leather, rubber and polymerised materials preservatives</xsl:when>
                    <xsl:when test="./i6:value = '65115'">PP-BIO-10 Construction material preservatives</xsl:when>
                    <xsl:when test="./i6:value = '65116'">PP-BIO-11 Preservatives for liquid-cooling and processing systems</xsl:when>
                    <xsl:when test="./i6:value = '65117'">PP-BIO-12 Slimicides</xsl:when>
                    <xsl:when test="./i6:value = '65118'">PP-BIO-13 Working or cutting fluid preservatives</xsl:when>
                    <xsl:when test="./i6:value = '65119'">PP-BIO-14 Rodenticides (excluding for plant protection)</xsl:when>
                    <xsl:when test="./i6:value = '65120'">PP-BIO-15 Avicides</xsl:when>
                    <xsl:when test="./i6:value = '65121'">PP-BIO-16 Molluscicides, vermicides and products to control other invertebrates (excluding plant protection products)</xsl:when>
                    <xsl:when test="./i6:value = '65122'">PP-BIO-17 Piscicides</xsl:when>
                    <xsl:when test="./i6:value = '65123'">PP-BIO-18 Insecticides, acaricides and products to control other arthropods (excluding equivalent products when used as pesticides)</xsl:when>
                    <xsl:when test="./i6:value = '65124'">PP-BIO-19 Repellents and attractants</xsl:when>
                    <xsl:when test="./i6:value = '65125'">PP-BIO-20 Control of other vertebrates</xsl:when>
                    <xsl:when test="./i6:value = '65126'">PP-BIO-21 Antifouling products</xsl:when>
                    <xsl:when test="./i6:value = '65127'">PP-BIO-22 Embalming and taxidermist fluids</xsl:when>
                    <xsl:when test="./i6:value = '65128'">PP-PRD-1 Acaricides for plant protection</xsl:when>
                    <xsl:when test="./i6:value = '65129'">PP-PRD-2 Attractants (excluding semio-chemicals)</xsl:when>
                    <xsl:when test="./i6:value = '65130'">PP-PRD-3 Bactericides for plant protection</xsl:when>
                    <xsl:when test="./i6:value = '65131'">PP-PRD-4 Biopesticides for plant protection</xsl:when>
                    <xsl:when test="./i6:value = '65132'">PP-PRD-5 Fungicides for plant protection</xsl:when>
                    <xsl:when test="./i6:value = '65133'">PP-PRD-6 Herbicides for plant protection, including haulm destructors and moss killers</xsl:when>
                    <xsl:when test="./i6:value = '65134'">PP-PRD-7 Insecticides for plant protection</xsl:when>
                    <xsl:when test="./i6:value = '65135'">PP-PRD-8 Molluscicides for plant protection</xsl:when>
                    <xsl:when test="./i6:value = '65136'">PP-PRD-9 Nematicides for plant protection</xsl:when>
                    <xsl:when test="./i6:value = '65137'">PP-PRD-10 Plant growth regulators</xsl:when>
                    <xsl:when test="./i6:value = '65138'">PP-PRD-11 Repellents for plant protection</xsl:when>
                    <xsl:when test="./i6:value = '65139'">PP-PRD-12 Rodenticides for plant protection</xsl:when>
                    <xsl:when test="./i6:value = '65140'">PP-PRD-13 Semio-chemicals</xsl:when>
                    <xsl:when test="./i6:value = '65141'">PP-PRD-14 Soil sterilants</xsl:when>
                    <xsl:when test="./i6:value = '65142'">PP-PRD-15 Talpicides for plant protection</xsl:when>
                    <xsl:when test="./i6:value = '65143'">PP-PRD-16 Viricides for plant protection</xsl:when>
                    <xsl:when test="./i6:value = '65144'">PP-PRD-OTH Other plant protection products</xsl:when>
                </xsl:choose>
                <xsl:value-of select="./i6:other "/>
            </td>
        </tr>
    </xsl:template>
    <xsl:template match="//xt:MainIntendedUse">
        <tr>
            <td class="label">Main intended use</td>
            <td class="value">
                <xsl:choose>
                    <xsl:when test="./i6:value = '64945'">F Mixtures for further formulation</xsl:when>
                    <xsl:when test="./i6:value = '64877'">PC-ADH-1 Adhesives and sealants - household, office or school use</xsl:when>
                    <xsl:when test="./i6:value = '64878'">PC-ADH-2 Adhesives and sealants - building and construction works (except cement based adhesives)</xsl:when>
                    <xsl:when test="./i6:value = '64879'">PC-ADH-3 Adhesives and sealants - footwear and leather goods</xsl:when>
                    <xsl:when test="./i6:value = '64880'">PC-ADH-4 Adhesives and sealants - paper and board related processes</xsl:when>
                    <xsl:when test="./i6:value = '64881'">PC-ADH-5 Adhesives and sealants - transportation industry</xsl:when>
                    <xsl:when test="./i6:value = '64882'">PC-ADH-6 Adhesives and sealants -  woodworking and joinery (includes putty)</xsl:when>
                    <xsl:when test="./i6:value = '64883'">PC-ADH-7 Adhesives and sealants - assembly line processes</xsl:when>
                    <xsl:when test="./i6:value = '64884'">PC-ADH-8 Multi-component adhesives and sealants</xsl:when>
                    <xsl:when test="./i6:value = '64886'">PC-ADH-OTH Other adhesives and sealants</xsl:when>
                    <xsl:when test="./i6:value = '64946'">PC-AIR-1 Air care products for indoor rooms (continuous action)</xsl:when>
                    <xsl:when test="./i6:value = '64947'">PC-AIR-2 Air care products for indoor rooms (instant action)</xsl:when>
                    <xsl:when test="./i6:value = '64948'">PC-AIR-3 Air care products for shoes</xsl:when>
                    <xsl:when test="./i6:value = '64949'">PC-AIR-4 Air care products for vehicles</xsl:when>
                    <xsl:when test="./i6:value = '64950'">PC-AIR-5 Ambient deodorisers (excludes room deodorisers)</xsl:when>
                    <xsl:when test="./i6:value = '64951'">PC-AIR-6 Incense</xsl:when>
                    <xsl:when test="./i6:value = '64952'">PC-AIR-7 Candles - scented and unscented</xsl:when>
                    <xsl:when test="./i6:value = '64953'">PC-AIR-8 Matches</xsl:when>
                    <xsl:when test="./i6:value = '64954'">PC-AIR-OTH Other air care products</xsl:when>
                    <xsl:when test="./i6:value = '64955'">PC-ANI-1 Additives and premixtures for animal feed</xsl:when>
                    <xsl:when test="./i6:value = '64956'">PC-ANI-2 Animal shampoos and conditioners</xsl:when>
                    <xsl:when test="./i6:value = '64957'">PC-ANI-OTH Other products for animals (excluding biocidal products)</xsl:when>
                    <xsl:when test="./i6:value = '64958'">PC-ART-1 Artists’, craft and hobby paints</xsl:when>
                    <xsl:when test="./i6:value = '64959'">PC-ART-2 Finger paints</xsl:when>
                    <xsl:when test="./i6:value = '64960'">PC-ART-3 Crayons, chalks and pastels</xsl:when>
                    <xsl:when test="./i6:value = '64961'">PC-ART-4 Auxiliary materials for artists</xsl:when>
                    <xsl:when test="./i6:value = '64962'">PC-ART-5 Modelling compounds</xsl:when>
                    <xsl:when test="./i6:value = '64963'">PC-ART-6 Chemical products used for decorative purposes</xsl:when>
                    <xsl:when test="./i6:value = '64964'">PC-ART-OTH Other art  materials (including chemical products used for decorative purposes)</xsl:when>
                    <xsl:when test="./i6:value = '64965'">PC-CLN-1 Abrasive cleaning products</xsl:when>
                    <xsl:when test="./i6:value = '64966'">PC-CLN-2 All-purpose (or multi-purpose) non-abrasive cleaners</xsl:when>
                    <xsl:when test="./i6:value = '64967'">PC-CLN-3 Bleaching products for cleaning or laundry use (excludes biocidal products)</xsl:when>
                    <xsl:when test="./i6:value = '64968'">PC-CLN-4 Descaling products</xsl:when>
                    <xsl:when test="./i6:value = '64969'">PC-CLN-5 Drain cleaning products</xsl:when>
                    <xsl:when test="./i6:value = '64970'">PC-CLN-6 Fireplace and smoke resin cleaners</xsl:when>
                    <xsl:when test="./i6:value = '64971'">PC-CLN-7 Glass/window/mirror cleaning products (excludes windscreens)</xsl:when>
                    <xsl:when test="./i6:value = '64972'">PC-CLN-8 Indoor furniture cleaning/care products (excludes leather and upholstery)</xsl:when>
                    <xsl:when test="./i6:value = '64973'">PC-CLN-9 Outdoor cleaners (excludes stone, concrete and similar surfaces)</xsl:when>
                    <xsl:when test="./i6:value = '64974'">PC-CLN-10.1 Cleaners for kitchen areas</xsl:when>
                    <xsl:when test="./i6:value = '64975'">PC-CLN-10.2 Cleaners for kitchen machinery and equipment</xsl:when>
                    <xsl:when test="./i6:value = '64976'">PC-CLN-10.3 Cooking hob cleaning/care products</xsl:when>
                    <xsl:when test="./i6:value = '64977'">PC-CLN-10.4 Oven, grill or barbecue cleaners</xsl:when>
                    <xsl:when test="./i6:value = '64978'">PC-CLN-10.OTH Other kitchen and related cleaning products</xsl:when>
                    <xsl:when test="./i6:value = '64979'">PC-CLN-11.1 Bathroom cleaners</xsl:when>
                    <xsl:when test="./i6:value = '64980'">PC-CLN-11.2 Toilet cleaners</xsl:when>
                    <xsl:when test="./i6:value = '64981'">PC-CLN-11.3 Multi-flush products for toilets</xsl:when>
                    <xsl:when test="./i6:value = '64982'">PC-CLN-11.OTH Other bathroom and toilet cleaning/care products (excludes biocidal products)</xsl:when>
                    <xsl:when test="./i6:value = '64983'">PC-CLN-12.1 Cleaning/care products for stone and tiles - regular use</xsl:when>
                    <xsl:when test="./i6:value = '64984'">PC-CLN-12.2 Heavy duty cleaning products for stone and similar surfaces</xsl:when>
                    <xsl:when test="./i6:value = '64985'">PC-CLN-12.3 Grout cleaners</xsl:when>
                    <xsl:when test="./i6:value = '64986'">PC-CLN-12.OTH Other stone, tile and grout cleaning/care products</xsl:when>
                    <xsl:when test="./i6:value = '64987'">PC-CLN-13.1 Floor cleaning products</xsl:when>
                    <xsl:when test="./i6:value = '65145'">PC-CLN-13.2 Floor care products e.g. waxes, emulsions</xsl:when>
                    <xsl:when test="./i6:value = '64988'">PC-CLN-13.3 Floor strippers</xsl:when>
                    <xsl:when test="./i6:value = '64990'">PC-CLN-13.OTH Other floor cleaning, care and maintenance products (excludes stone and tile)</xsl:when>
                    <xsl:when test="./i6:value = '64991'">PC-CLN-14.1 Cleaning products for carpet/upholstery</xsl:when>
                    <xsl:when test="./i6:value = '64992'">PC-CLN-14.2 Deodorisers or fresheners for carpet/upholstery</xsl:when>
                    <xsl:when test="./i6:value = '64993'">PC-CLN-14.OTH Other carpet and upholstery products</xsl:when>
                    <xsl:when test="./i6:value = '64994'">PC-CLN-15.1 Cleaners for eyewear</xsl:when>
                    <xsl:when test="./i6:value = '64995'">PC-CLN-15.2 Cleaners for home electronic screens</xsl:when>
                    <xsl:when test="./i6:value = '64996'">PC-CLN-15.3 Cleaners for musical instruments</xsl:when>
                    <xsl:when test="./i6:value = '64997'">PC-CLN-15.4 Metal polish/tarnish remover</xsl:when>
                    <xsl:when test="./i6:value = '64998'">PC-CLN-15.OTH Other cleaners for specific personal items</xsl:when>
                    <xsl:when test="./i6:value = '64999'">PC-CLN-16.1 Leather - cleaning and care products</xsl:when>
                    <xsl:when test="./i6:value = '65000'">PC-CLN-16.2 Textile footwear - cleaning products</xsl:when>
                    <xsl:when test="./i6:value = '65001'">PC-CLN-16.3 Textile fresheners/deodorisers</xsl:when>
                    <xsl:when test="./i6:value = '65002'">PC-CLN-16.4 Dry cleaning and associated products</xsl:when>
                    <xsl:when test="./i6:value = '65003'">PC-CLN-16.5 Impregnation products for finished textiles and leather goods</xsl:when>
                    <xsl:when test="./i6:value = '65004'">PC-CLN-16.6 Outdoor textiles - cleaning products</xsl:when>
                    <xsl:when test="./i6:value = '65005'">PC-CLN-16.OTH Other textile and leather cleaning and care products (including footwear)</xsl:when>
                    <xsl:when test="./i6:value = '65006'">PC-CLN-17.1 Exterior cleaning products - all vehicle types</xsl:when>
                    <xsl:when test="./i6:value = '65007'">PC-CLN-17.2 Exterior care products -  all vehicle types</xsl:when>
                    <xsl:when test="./i6:value = '65008'">PC-CLN-17.3 Interior cleaning and care products (excludes air care products, and products for upholstery or leather)</xsl:when>
                    <xsl:when test="./i6:value = '65009'">PC-CLN-17.4 Engine cleaners</xsl:when>
                    <xsl:when test="./i6:value = '65010'">PC-CLN-17.5 Brake cleaners</xsl:when>
                    <xsl:when test="./i6:value = '65011'">PC-CLN-17.6 Chromium, rim and other metal cleaners -  all vehicle types</xsl:when>
                    <xsl:when test="./i6:value = '65012'">PC-CLN-17.7 Windscreen/windshield cleaners</xsl:when>
                    <xsl:when test="./i6:value = '65013'">PC-CLN-17.8 Windscreen/windshield wash fluid</xsl:when>
                    <xsl:when test="./i6:value = '65014'">PC-CLN-17.OTH Other vehicle (all types) cleaning and care products</xsl:when>
                    <xsl:when test="./i6:value = '65015'">PC-CLN-OTH Other cleaning, care and maintenance products (excludes biocidal products)</xsl:when>
                    <xsl:when test="./i6:value = '65016'">PC-COL-1 Dyes</xsl:when>
                    <xsl:when test="./i6:value = '65017'">PC-COL-2 Pigments</xsl:when>
                    <xsl:when test="./i6:value = '65018'">PC-CON-1 Cement</xsl:when>
                    <xsl:when test="./i6:value = '65019'">PC-CON-2 Concrete</xsl:when>
                    <xsl:when test="./i6:value = '65020'">PC-CON-3 Gypsum</xsl:when>
                    <xsl:when test="./i6:value = '65021'">PC-CON-4 Mortars</xsl:when>
                    <xsl:when test="./i6:value = '65022'">PC-CON-5 Construction chemicals</xsl:when>
                    <xsl:when test="./i6:value = '65023'">PC-CON-OTH Other construction products</xsl:when>
                    <xsl:when test="./i6:value = '65024'">PC-DET-1.1 Laundry detergent for hand washing</xsl:when>
                    <xsl:when test="./i6:value = '65025'">PC-DET-1.2 Laundry detergents - household use</xsl:when>
                    <xsl:when test="./i6:value = '65026'">PC-DET-1.3 Laundry detergents - professional or industrial use</xsl:when>
                    <xsl:when test="./i6:value = '65027'">PC-DET-1.OTH Other laundry detergents</xsl:when>
                    <xsl:when test="./i6:value = '65028'">PC-DET-2.1 Detergency boosters and in-wash stain removers</xsl:when>
                    <xsl:when test="./i6:value = '65029'">PC-DET-2.2 Fabric softeners</xsl:when>
                    <xsl:when test="./i6:value = '65030'">PC-DET-2.3 Ironing aid products</xsl:when>
                    <xsl:when test="./i6:value = '65031'">PC-DET-2.4 Laundry starch</xsl:when>
                    <xsl:when test="./i6:value = '65032'">PC-DET-2.5 Pre-treatment stain removers</xsl:when>
                    <xsl:when test="./i6:value = '65033'">PC-DET-2.6 Rinse agents for laundry (excludes biocidal products)</xsl:when>
                    <xsl:when test="./i6:value = '65034'">PC-DET-2.7 Washing machine care agents</xsl:when>
                    <xsl:when test="./i6:value = '65035'">PC-DET-2.8 Whitening agents or optical brighteners</xsl:when>
                    <xsl:when test="./i6:value = '65036'">PC-DET-2.OTH Other auxiliary laundry and care products (excludes biocidal products)</xsl:when>
                    <xsl:when test="./i6:value = '65037'">PC-DET-3.1 Automatic dishwashing detergents - household use</xsl:when>
                    <xsl:when test="./i6:value = '65038'">PC-DET-3.2 Automatic dishwashing detergents - professional or industrial use</xsl:when>
                    <xsl:when test="./i6:value = '65039'">PC-DET-3.3 Hand dishwashing detergents</xsl:when>
                    <xsl:when test="./i6:value = '65040'">PC-DET-3.OTH Other dishwashing detergents</xsl:when>
                    <xsl:when test="./i6:value = '65041'">PC-DET-4.1 Dishwasher salt</xsl:when>
                    <xsl:when test="./i6:value = '65042'">PC-DET-4.2 Dishwashing machine care agents</xsl:when>
                    <xsl:when test="./i6:value = '65043'">PC-DET-4.3 Glass protection products</xsl:when>
                    <xsl:when test="./i6:value = '65044'">PC-DET-4.4 Rinse agents for dishes</xsl:when>
                    <xsl:when test="./i6:value = '65045'">PC-DET-4.OTH Other auxiliary dishwashing and care products</xsl:when>
                    <xsl:when test="./i6:value = '65046'">PC-ELQ E-liquids and mixtures for electronic cigarettes</xsl:when>
                    <xsl:when test="./i6:value = '65047'">PC-FER-1 Fertilisers</xsl:when>
                    <xsl:when test="./i6:value = '65048'">PC-FER-2 Liming material</xsl:when>
                    <xsl:when test="./i6:value = '65049'">PC-FER-3 Soil improvers</xsl:when>
                    <xsl:when test="./i6:value = '65050'">PC-FER-4 Growing media</xsl:when>
                    <xsl:when test="./i6:value = '65051'">PC-FER-5 Agronomic additives</xsl:when>
                    <xsl:when test="./i6:value = '65052'">PC-FER-6 Plant biostimulants</xsl:when>
                    <xsl:when test="./i6:value = '65053'">PC-FER-7 Combination of fertilisers and fertilising products</xsl:when>
                    <xsl:when test="./i6:value = '65054'">PC-FUE-1 Fuels for vehicles and machinery</xsl:when>
                    <xsl:when test="./i6:value = '65055'">PC-FUE-2 Lamp oils</xsl:when>
                    <xsl:when test="./i6:value = '65056'">PC-FUE-3 Grill lighter fluids</xsl:when>
                    <xsl:when test="./i6:value = '65057'">PC-FUE-4 Camp fuels</xsl:when>
                    <xsl:when test="./i6:value = '65058'">PC-FUE-5 Fuel additives and fuel components</xsl:when>
                    <xsl:when test="./i6:value = '65059'">PC-FUE-OTH Other fuels</xsl:when>
                    <xsl:when test="./i6:value = '65060'">PC-INK-1 Writing and drawing inks</xsl:when>
                    <xsl:when test="./i6:value = '65061'">PC-INK-2 Inks and toners for home and office printers</xsl:when>
                    <xsl:when test="./i6:value = '65062'">PC-INK-3 Commercial printing inks, toners and related finishing products</xsl:when>
                    <xsl:when test="./i6:value = '65063'">PC-INK-4 Pressroom chemicals</xsl:when>
                    <xsl:when test="./i6:value = '65064'">PC-INK-5 Correction fluids</xsl:when>
                    <xsl:when test="./i6:value = '65065'">PC-INK-OTH Other inks, toners and related printing materials</xsl:when>
                    <xsl:when test="./i6:value = '65066'">PC-PNT-1 Aerosol paints and coatings</xsl:when>
                    <xsl:when test="./i6:value = '65067'">PC-PNT-2 Paints/coatings - Decorative</xsl:when>
                    <xsl:when test="./i6:value = '65068'">PC-PNT-3 Paints/coatings - Protective and functional</xsl:when>
                    <xsl:when test="./i6:value = '65069'">PC-PNT-4 Marine vessel coatings (excludes anti-fouling products)</xsl:when>
                    <xsl:when test="./i6:value = '65070'">PC-PNT-5 Automotive and aerospace coatings</xsl:when>
                    <xsl:when test="./i6:value = '65071'">PC-PNT-6 Factory-applied coatings (excludes categories already covered)</xsl:when>
                    <xsl:when test="./i6:value = '65072'">PC-PNT-7 Paint removers, thinners and related auxiliaries</xsl:when>
                    <xsl:when test="./i6:value = '65073'">PC-PNT-OTH Other paints and coating materials</xsl:when>
                    <xsl:when test="./i6:value = '65074'">PC-PYR-1 Fire works for indoor use</xsl:when>
                    <xsl:when test="./i6:value = '65075'">PC-PYR-2 Fire works for outdoor use</xsl:when>
                    <xsl:when test="./i6:value = '65076'">PC-PYR-3 Theatrical pyrotechnic products</xsl:when>
                    <xsl:when test="./i6:value = '65077'">PC-PYR-4 Signalling products</xsl:when>
                    <xsl:when test="./i6:value = '65078'">PC-PYR-OTH Other pyrotechnic products</xsl:when>
                    <xsl:when test="./i6:value = '65079'">PC-TAT Tattoo inks</xsl:when>
                    <xsl:when test="./i6:value = '65080'">PC-TEC-1 Adsorbents</xsl:when>
                    <xsl:when test="./i6:value = '65081'">PC-TEC-2 Antifreeze and de-icing products</xsl:when>
                    <xsl:when test="./i6:value = '65082'">PC-TEC-3 Desiccants</xsl:when>
                    <xsl:when test="./i6:value = '65083'">PC-TEC-4 Electrolytes for batteries</xsl:when>
                    <xsl:when test="./i6:value = '65084'">PC-TEC-5 Fire extinguishers</xsl:when>
                    <xsl:when test="./i6:value = '65085'">PC-TEC-6 Fragrances</xsl:when>
                    <xsl:when test="./i6:value = '65086'">PC-TEC-7 Heat transfer fluids</xsl:when>
                    <xsl:when test="./i6:value = '65087'">PC-TEC-8 Hydraulic fluids, including brake and transmission fluids</xsl:when>
                    <xsl:when test="./i6:value = '65088'">PC-TEC-9 Intermediates</xsl:when>
                    <xsl:when test="./i6:value = '65089'">PC-TEC-10 Leather treatment products (excludes dyes and pigments)</xsl:when>
                    <xsl:when test="./i6:value = '65090'">PC-TEC-11 Lubricants, greases, release agents</xsl:when>
                    <xsl:when test="./i6:value = '65091'">PC-TEC-12 Metal surface treatment products</xsl:when>
                    <xsl:when test="./i6:value = '65092'">PC-TEC-13 Metal working fluids</xsl:when>
                    <xsl:when test="./i6:value = '65093'">PC-TEC-14 Paper and board treatment products (excluding dyes)</xsl:when>
                    <xsl:when test="./i6:value = '65094'">PC-TEC-15 Photochemicals</xsl:when>
                    <xsl:when test="./i6:value = '65095'">PC-TEC-16 Polymer preparations and compounds</xsl:when>
                    <xsl:when test="./i6:value = '65096'">PC-TEC-17 Processing aids</xsl:when>
                    <xsl:when test="./i6:value = '65097'">PC-TEC-18 Products used in mining, oil or gas exploration processes</xsl:when>
                    <xsl:when test="./i6:value = '65098'">PC-TEC-19 Reagents and laboratory chemicals</xsl:when>
                    <xsl:when test="./i6:value = '65099'">PC-TEC-20 Soil remediation products</xsl:when>
                    <xsl:when test="./i6:value = '65100'">PC-TEC-21 Solvents and extraction agents</xsl:when>
                    <xsl:when test="./i6:value = '65101'">PC-TEC-22 Surfactants mixtures for industrial applications</xsl:when>
                    <xsl:when test="./i6:value = '65102'">PC-TEC-23 Textile treatment products (excludes dyes and pigments)</xsl:when>
                    <xsl:when test="./i6:value = '65103'">PC-TEC-24 Welding, soldering, and flux products</xsl:when>
                    <xsl:when test="./i6:value = '65104'">PC-TEC-OTH Other products for  chemical or technical processes</xsl:when>
                    <xsl:when test="./i6:value = '65105'">PC-UNC Chemical products - uncategorised</xsl:when>
                    <xsl:when test="./i6:value = '65106'">PP-BIO-1 Biocidal products for human hygiene</xsl:when>
                    <xsl:when test="./i6:value = '65107'">PP-BIO-2 Disinfectants and algaecides not intended for direct application to humans or animals</xsl:when>
                    <xsl:when test="./i6:value = '65108'">PP-BIO-3 Biocidal products for veterinary hygiene</xsl:when>
                    <xsl:when test="./i6:value = '65109'">PP-BIO-4 Biocidal products for food and feed area</xsl:when>
                    <xsl:when test="./i6:value = '65110'">PP-BIO-5 Biocidal products for drinking water</xsl:when>
                    <xsl:when test="./i6:value = '65111'">PP-BIO-6 Biocidal products used as preservatives for products during storage</xsl:when>
                    <xsl:when test="./i6:value = '65112'">PP-BIO-7 Film preservatives</xsl:when>
                    <xsl:when test="./i6:value = '65113'">PP-BIO-8 Wood preservatives</xsl:when>
                    <xsl:when test="./i6:value = '65114'">PP-BIO-9 Fibre, leather, rubber and polymerised materials preservatives</xsl:when>
                    <xsl:when test="./i6:value = '65115'">PP-BIO-10 Construction material preservatives</xsl:when>
                    <xsl:when test="./i6:value = '65116'">PP-BIO-11 Preservatives for liquid-cooling and processing systems</xsl:when>
                    <xsl:when test="./i6:value = '65117'">PP-BIO-12 Slimicides</xsl:when>
                    <xsl:when test="./i6:value = '65118'">PP-BIO-13 Working or cutting fluid preservatives</xsl:when>
                    <xsl:when test="./i6:value = '65119'">PP-BIO-14 Rodenticides (excluding for plant protection)</xsl:when>
                    <xsl:when test="./i6:value = '65120'">PP-BIO-15 Avicides</xsl:when>
                    <xsl:when test="./i6:value = '65121'">PP-BIO-16 Molluscicides, vermicides and products to control other invertebrates (excluding plant protection products)</xsl:when>
                    <xsl:when test="./i6:value = '65122'">PP-BIO-17 Piscicides</xsl:when>
                    <xsl:when test="./i6:value = '65123'">PP-BIO-18 Insecticides, acaricides and products to control other arthropods (excluding equivalent products when used as pesticides)</xsl:when>
                    <xsl:when test="./i6:value = '65124'">PP-BIO-19 Repellents and attractants</xsl:when>
                    <xsl:when test="./i6:value = '65125'">PP-BIO-20 Control of other vertebrates</xsl:when>
                    <xsl:when test="./i6:value = '65126'">PP-BIO-21 Antifouling products</xsl:when>
                    <xsl:when test="./i6:value = '65127'">PP-BIO-22 Embalming and taxidermist fluids</xsl:when>
                    <xsl:when test="./i6:value = '65128'">PP-PRD-1 Acaricides for plant protection</xsl:when>
                    <xsl:when test="./i6:value = '65129'">PP-PRD-2 Attractants (excluding semio-chemicals)</xsl:when>
                    <xsl:when test="./i6:value = '65130'">PP-PRD-3 Bactericides for plant protection</xsl:when>
                    <xsl:when test="./i6:value = '65131'">PP-PRD-4 Biopesticides for plant protection</xsl:when>
                    <xsl:when test="./i6:value = '65132'">PP-PRD-5 Fungicides for plant protection</xsl:when>
                    <xsl:when test="./i6:value = '65133'">PP-PRD-6 Herbicides for plant protection, including haulm destructors and moss killers</xsl:when>
                    <xsl:when test="./i6:value = '65134'">PP-PRD-7 Insecticides for plant protection</xsl:when>
                    <xsl:when test="./i6:value = '65135'">PP-PRD-8 Molluscicides for plant protection</xsl:when>
                    <xsl:when test="./i6:value = '65136'">PP-PRD-9 Nematicides for plant protection</xsl:when>
                    <xsl:when test="./i6:value = '65137'">PP-PRD-10 Plant growth regulators</xsl:when>
                    <xsl:when test="./i6:value = '65138'">PP-PRD-11 Repellents for plant protection</xsl:when>
                    <xsl:when test="./i6:value = '65139'">PP-PRD-12 Rodenticides for plant protection</xsl:when>
                    <xsl:when test="./i6:value = '65140'">PP-PRD-13 Semio-chemicals</xsl:when>
                    <xsl:when test="./i6:value = '65141'">PP-PRD-14 Soil sterilants</xsl:when>
                    <xsl:when test="./i6:value = '65142'">PP-PRD-15 Talpicides for plant protection</xsl:when>
                    <xsl:when test="./i6:value = '65143'">PP-PRD-16 Viricides for plant protection</xsl:when>
                    <xsl:when test="./i6:value = '65144'">PP-PRD-OTH Other plant protection products</xsl:when>
                </xsl:choose>
                <xsl:value-of select="./i6:other "/>
            </td>
        </tr>
    </xsl:template>
    <xsl:template match="//xt:TradeNames | //xt:OtherNames">
        <tr class="headerBlock">
            <td>
                <xsl:choose>
                    <xsl:when test="name(.) = 'TradeNames'">Trade names</xsl:when>
                    <xsl:when test="name(.) = 'OtherNames'">Other names</xsl:when>
                </xsl:choose>
            </td>
            <td>
                <hr/>
            </td>
        </tr>
        <xsl:apply-templates select="./@*"/>
        <xsl:apply-templates/>
    </xsl:template>
    <xsl:template match="//xt:GroupSubmission | //xt:ProductIdentifiers | //xt:MarketPlacement | //xt:SafetyDataSheet | //xt:AdditionalInformation | //xt:ColourAndPhysicalState | //xt:Packaging | //xt:ProductUseCategory">
        <tr class="headerBlock">
            <td>
                <xsl:choose>
                    <xsl:when test="name(.) = 'AdditionalInformation'">Additional information</xsl:when>
                    <xsl:when test="name(.) = 'ProductIdentifiers'">Product identifiers</xsl:when>
                    <xsl:when test="name(.) = 'ProductUseCategory'">Product use category</xsl:when>
                    <xsl:when test="name(.) = 'ColourAndPhysicalState'">Colour and physical state</xsl:when>
                    <xsl:when test="name(.) = 'Packaging'">Packaging</xsl:when>
                    <xsl:when test="name(.) = 'MarketPlacement'">Market placement</xsl:when>
                    <xsl:when test="name(.) = 'SafetyDataSheet'">Safety data sheet (SDS)</xsl:when>
                    <xsl:when test="name(.) = 'GroupSubmission'">Group submission</xsl:when>
                </xsl:choose>
            </td>
            <td>
                <hr/>
            </td>
        </tr>
        <xsl:apply-templates select="./@*"/>
        <xsl:apply-templates/>
    </xsl:template>
    <xsl:template match="//xt:TradeName | //xt:OtherName">
        <tr>
            <td class="label">
                <xsl:choose>
                    <xsl:when test="name(.) = 'TradeName'">Trade name</xsl:when>
                    <xsl:when test="name(.) = 'OtherName'">Other name</xsl:when>
                </xsl:choose>
            </td>
            <td class="value">
                <xsl:value-of select=". "/>
            </td>
        </tr>
    </xsl:template>
    <xsl:template match="//i6:country/i6:value">
        <xsl:choose>
            <xsl:when test=". = '3446'">Åland </xsl:when>
            <xsl:when test=". = '2683'">Afghanistan </xsl:when>
            <xsl:when test=". = '2684'">Albania </xsl:when>
            <xsl:when test=". = '2685'">Algeria </xsl:when>
            <xsl:when test=". = '2686'">American Samoa </xsl:when>
            <xsl:when test=". = '2688'">Andorra </xsl:when>
            <xsl:when test=". = '2689'">Angola </xsl:when>
            <xsl:when test=". = '2690'">Anguilla </xsl:when>
            <xsl:when test=". = '2692'">Antarctica </xsl:when>
            <xsl:when test=". = '2695'">Antigua and Barbuda </xsl:when>
            <xsl:when test=". = '2696'">Argentina </xsl:when>
            <xsl:when test=". = '2697'">Armenia </xsl:when>
            <xsl:when test=". = '2698'">Aruba </xsl:when>
            <xsl:when test=". = '107'">Australia </xsl:when>
            <xsl:when test=". = '108'">Austria </xsl:when>
            <xsl:when test=". = '2701'">Azerbaijan </xsl:when>
            <xsl:when test=". = '2702'">Bahamas </xsl:when>
            <xsl:when test=". = '2703'">Bahrain </xsl:when>
            <xsl:when test=". = '2704'">Bangladesh </xsl:when>
            <xsl:when test=". = '2705'">Barbados </xsl:when>
            <xsl:when test=". = '2707'">Belarus </xsl:when>
            <xsl:when test=". = '147'">Belgium </xsl:when>
            <xsl:when test=". = '2708'">Belize </xsl:when>
            <xsl:when test=". = '2709'">Benin </xsl:when>
            <xsl:when test=". = '2710'">Bermuda </xsl:when>
            <xsl:when test=". = '2711'">Bhutan </xsl:when>
            <xsl:when test=". = '2720'">Bolivia, Plurinational State of </xsl:when>
            <xsl:when test=". = '2722'">Bosnia and Herzegovina </xsl:when>
            <xsl:when test=". = '2723'">Botswana </xsl:when>
            <xsl:when test=". = '2724'">Bouvet Island </xsl:when>
            <xsl:when test=". = '2725'">Brazil </xsl:when>
            <xsl:when test=". = '2726'">British Indian Ocean Territory </xsl:when>
            <xsl:when test=". = '3421'">British Virgin Islands </xsl:when>
            <xsl:when test=". = '2727'">Brunei Darussalam </xsl:when>
            <xsl:when test=". = '184'">Bulgaria </xsl:when>
            <xsl:when test=". = '2729'">Burkina Faso </xsl:when>
            <xsl:when test=". = '2730'">Burundi </xsl:when>
            <xsl:when test=". = '2736'">Cabo Verde </xsl:when>
            <xsl:when test=". = '2734'">Cambodia </xsl:when>
            <xsl:when test=". = '2735'">Cameroon </xsl:when>
            <xsl:when test=". = '206'">Canada </xsl:when>
            <xsl:when test=". = '2746'">Cayman Islands </xsl:when>
            <xsl:when test=". = '2747'">Central African Republic </xsl:when>
            <xsl:when test=". = '2748'">Chad </xsl:when>
            <xsl:when test=". = '2749'">Chile </xsl:when>
            <xsl:when test=". = '2750'">China (People’s Republic of) </xsl:when>
            <xsl:when test=". = '2751'">Christmas Island </xsl:when>
            <xsl:when test=". = '2754'">Cocos (Keeling) Islands </xsl:when>
            <xsl:when test=". = '2755'">Colombia </xsl:when>
            <xsl:when test=". = '2759'">Comoros </xsl:when>
            <xsl:when test=". = '2764'">Congo </xsl:when>
            <xsl:when test=". = '2769'">Cook Islands </xsl:when>
            <xsl:when test=". = '2771'">Costa Rica </xsl:when>
            <xsl:when test=". = '2774'">Côte d'Ivoire </xsl:when>
            <xsl:when test=". = '286'">Croatia </xsl:when>
            <xsl:when test=". = '2773'">Cuba </xsl:when>
            <xsl:when test=". = '304'">Cyprus </xsl:when>
            <xsl:when test=". = '307'">Czech Republic </xsl:when>
            <xsl:when test=". = '2765'">Democratic Republic of the Congo </xsl:when>
            <xsl:when test=". = '2882'">Democratic People’s Republic of Korea </xsl:when>
            <xsl:when test=". = '333'">Denmark </xsl:when>
            <xsl:when test=". = '2790'">Djibouti </xsl:when>
            <xsl:when test=". = '2791'">Dominica </xsl:when>
            <xsl:when test=". = '2792'">Dominican Republic </xsl:when>
            <xsl:when test=". = '2799'">Ecuador </xsl:when>
            <xsl:when test=". = '2800'">Egypt </xsl:when>
            <xsl:when test=". = '2801'">El Salvador </xsl:when>
            <xsl:when test=". = '2803'">Equatorial Guinea </xsl:when>
            <xsl:when test=". = '2804'">Eritrea </xsl:when>
            <xsl:when test=". = '754'">Estonia </xsl:when>
            <xsl:when test=". = '2805'">Ethiopia </xsl:when>
            <xsl:when test=". = '2813'">Falkland Islands (Malvinas) </xsl:when>
            <xsl:when test=". = '2815'">Faroe Islands </xsl:when>
            <xsl:when test=". = '2817'">Fiji </xsl:when>
            <xsl:when test=". = '766'">Finland </xsl:when>
            <xsl:when test=". = '2897'">Former Yugoslav Republic of Macedonia </xsl:when>
            <xsl:when test=". = '779'">France </xsl:when>
            <xsl:when test=". = '2825'">French Guiana </xsl:when>
            <xsl:when test=". = '2826'">French Polynesia </xsl:when>
            <xsl:when test=". = '2827'">French Southern and Antarctic Lands </xsl:when>
            <xsl:when test=". = '2828'">Gabon </xsl:when>
            <xsl:when test=". = '2829'">Gambia </xsl:when>
            <xsl:when test=". = '2834'">Georgia </xsl:when>
            <xsl:when test=". = '807'">Germany </xsl:when>
            <xsl:when test=". = '2835'">Ghana </xsl:when>
            <xsl:when test=". = '2836'">Gibraltar </xsl:when>
            <xsl:when test=". = '810'">Greece </xsl:when>
            <xsl:when test=". = '2838'">Greenland </xsl:when>
            <xsl:when test=". = '2839'">Grenada </xsl:when>
            <xsl:when test=". = '2840'">Guadeloupe </xsl:when>
            <xsl:when test=". = '2841'">Guam </xsl:when>
            <xsl:when test=". = '2842'">Guatemala </xsl:when>
            <xsl:when test=". = '7818'">Guernsey </xsl:when>
            <xsl:when test=". = '2843'">Guinea </xsl:when>
            <xsl:when test=". = '2844'">Guinea-Bissau </xsl:when>
            <xsl:when test=". = '2845'">Guyana </xsl:when>
            <xsl:when test=". = '2846'">Haiti </xsl:when>
            <xsl:when test=". = '2851'">Heard Island and McDonald Islands </xsl:when>
            <xsl:when test=". = '2854'">Holy See </xsl:when>
            <xsl:when test=". = '2855'">Honduras </xsl:when>
            <xsl:when test=". = '2856'">Hong Kong (China) </xsl:when>
            <xsl:when test=". = '845'">Hungary </xsl:when>
            <xsl:when test=". = '882'">Iceland </xsl:when>
            <xsl:when test=". = '2865'">India </xsl:when>
            <xsl:when test=". = '2866'">Indonesia </xsl:when>
            <xsl:when test=". = '2870'">Iran </xsl:when>
            <xsl:when test=". = '2871'">Iraq </xsl:when>
            <xsl:when test=". = '911'">Ireland </xsl:when>
            <xsl:when test=". = '7819'">Isle of Man </xsl:when>
            <xsl:when test=". = '2876'">Israel </xsl:when>
            <xsl:when test=". = '916'">Italy </xsl:when>
            <xsl:when test=". = '2877'">Jamaica </xsl:when>
            <xsl:when test=". = '918'">Japan </xsl:when>
            <xsl:when test=". = '7820'">Jersey </xsl:when>
            <xsl:when test=". = '2878'">Jordan </xsl:when>
            <xsl:when test=". = '2879'">Kazakhstan </xsl:when>
            <xsl:when test=". = '2880'">Kenya </xsl:when>
            <xsl:when test=". = '2881'">Kiribati </xsl:when>
            <xsl:when test=". = '2883'">Korea </xsl:when>
            <xsl:when test=". = '2884'">Kuwait </xsl:when>
            <xsl:when test=". = '2885'">Kyrgyzstan </xsl:when>
            <xsl:when test=". = '2886'">Lao People's Democratic Republic </xsl:when>
            <xsl:when test=". = '985'">Latvia </xsl:when>
            <xsl:when test=". = '2887'">Lebanon </xsl:when>
            <xsl:when test=". = '2888'">Lesotho </xsl:when>
            <xsl:when test=". = '2889'">Liberia </xsl:when>
            <xsl:when test=". = '2890'">Libya </xsl:when>
            <xsl:when test=". = '2891'">Liechtenstein </xsl:when>
            <xsl:when test=". = '1024'">Lithuania </xsl:when>
            <xsl:when test=". = '1041'">Luxembourg </xsl:when>
            <xsl:when test=". = '2896'">Macau (China) </xsl:when>
            <xsl:when test=". = '2898'">Madagascar </xsl:when>
            <xsl:when test=". = '2899'">Malawi </xsl:when>
            <xsl:when test=". = '2900'">Malaysia </xsl:when>
            <xsl:when test=". = '2901'">Maldives </xsl:when>
            <xsl:when test=". = '2902'">Mali </xsl:when>
            <xsl:when test=". = '1048'">Malta </xsl:when>
            <xsl:when test=". = '2904'">Marshall Islands </xsl:when>
            <xsl:when test=". = '2905'">Martinique </xsl:when>
            <xsl:when test=". = '2908'">Mauritania </xsl:when>
            <xsl:when test=". = '2909'">Mauritius </xsl:when>
            <xsl:when test=". = '2910'">Mayotte </xsl:when>
            <xsl:when test=". = '1067'">Mexico </xsl:when>
            <xsl:when test=". = '3877'">Micronesia </xsl:when>
            <xsl:when test=". = '2919'">Moldova </xsl:when>
            <xsl:when test=". = '2921'">Monaco </xsl:when>
            <xsl:when test=". = '2922'">Mongolia </xsl:when>
            <xsl:when test=". = '7821'">Montenegro </xsl:when>
            <xsl:when test=". = '2924'">Montserrat </xsl:when>
            <xsl:when test=". = '2925'">Morocco </xsl:when>
            <xsl:when test=". = '2926'">Mozambique </xsl:when>
            <xsl:when test=". = '2930'">Myanmar </xsl:when>
            <xsl:when test=". = '2932'">Namibia </xsl:when>
            <xsl:when test=". = '2933'">Nauru </xsl:when>
            <xsl:when test=". = '2934'">Nepal </xsl:when>
            <xsl:when test=". = '1158'">Netherlands </xsl:when>
            <xsl:when test=". = '2935'">Netherlands Antilles </xsl:when>
            <xsl:when test=". = '2938'">New Caledonia </xsl:when>
            <xsl:when test=". = '1161'">New Zealand </xsl:when>
            <xsl:when test=". = '2939'">Nicaragua </xsl:when>
            <xsl:when test=". = '2940'">Niger </xsl:when>
            <xsl:when test=". = '2941'">Nigeria </xsl:when>
            <xsl:when test=". = '2942'">Niue </xsl:when>
            <xsl:when test=". = '2945'">Norfolk Island </xsl:when>
            <xsl:when test=". = '2946'">Northern Mariana Islands </xsl:when>
            <xsl:when test=". = '1175'">Norway </xsl:when>
            <xsl:when test=". = '2977'">Oman </xsl:when>
            <xsl:when test=". = '2984'">Pakistan </xsl:when>
            <xsl:when test=". = '2985'">Palau </xsl:when>
            <xsl:when test=". = '2986'">Palestinian Authority </xsl:when>
            <xsl:when test=". = '2987'">Panama </xsl:when>
            <xsl:when test=". = '2988'">Papua New Guinea </xsl:when>
            <xsl:when test=". = '2989'">Paraguay </xsl:when>
            <xsl:when test=". = '2994'">Peru </xsl:when>
            <xsl:when test=". = '2995'">Philippines </xsl:when>
            <xsl:when test=". = '3000'">Pitcairn </xsl:when>
            <xsl:when test=". = '1394'">Poland </xsl:when>
            <xsl:when test=". = '1401'">Portugal </xsl:when>
            <xsl:when test=". = '3027'">Puerto Rico </xsl:when>
            <xsl:when test=". = '3028'">Qatar </xsl:when>
            <xsl:when test=". = '1496'">Romania </xsl:when>
            <xsl:when test=". = '3177'">Réunion </xsl:when>
            <xsl:when test=". = '3175'">Russia </xsl:when>
            <xsl:when test=". = '3176'">Rwanda </xsl:when>
            <xsl:when test=". = '7823'">Saint Barthélemy </xsl:when>
            <xsl:when test=". = '3318'">Saint Helena </xsl:when>
            <xsl:when test=". = '3319'">Saint Kitts and Nevis </xsl:when>
            <xsl:when test=". = '3320'">Saint Lucia </xsl:when>
            <xsl:when test=". = '7824'">Saint Martin </xsl:when>
            <xsl:when test=". = '3321'">Saint Pierre and Miquelon </xsl:when>
            <xsl:when test=". = '3322'">Saint Vincent and the Grenadines </xsl:when>
            <xsl:when test=". = '3323'">Samoa </xsl:when>
            <xsl:when test=". = '3324'">San Marino </xsl:when>
            <xsl:when test=". = '3325'">Sao Tome and Principe </xsl:when>
            <xsl:when test=". = '3326'">Saudi Arabia </xsl:when>
            <xsl:when test=". = '3328'">Senegal </xsl:when>
            <xsl:when test=". = '3332'">Serbia </xsl:when>
            <xsl:when test=". = '3333'">Seychelles </xsl:when>
            <xsl:when test=". = '3336'">Sierra Leone </xsl:when>
            <xsl:when test=". = '3337'">Singapore </xsl:when>
            <xsl:when test=". = '3339'">Slovak Republic </xsl:when>
            <xsl:when test=". = '1562'">Slovenia </xsl:when>
            <xsl:when test=". = '3340'">Solomon Islands </xsl:when>
            <xsl:when test=". = '3343'">Somalia </xsl:when>
            <xsl:when test=". = '3344'">South Africa </xsl:when>
            <xsl:when test=". = '3345'">South Georgia and the South Sandwich Islands </xsl:when>
            <xsl:when test=". = '1567'">Spain </xsl:when>
            <xsl:when test=". = '3346'">Sri Lanka </xsl:when>
            <xsl:when test=". = '3352'">Sudan </xsl:when>
            <xsl:when test=". = '3355'">Suriname </xsl:when>
            <xsl:when test=". = '3357'">Svalbard and Jan Mayen </xsl:when>
            <xsl:when test=". = '3358'">Swaziland </xsl:when>
            <xsl:when test=". = '1591'">Sweden </xsl:when>
            <xsl:when test=". = '1595'">Switzerland </xsl:when>
            <xsl:when test=". = '3359'">Syrian Arab Republic </xsl:when>
            <xsl:when test=". = '3362'">Taiwan, Province of China </xsl:when>
            <xsl:when test=". = '64842'">Chinese Taipei </xsl:when>
            <xsl:when test=". = '3363'">Tajikistan </xsl:when>
            <xsl:when test=". = '3364'">Tanzania, United Republic of </xsl:when>
            <xsl:when test=". = '3366'">Thailand </xsl:when>
            <xsl:when test=". = '3370'">Timor-Leste </xsl:when>
            <xsl:when test=". = '3371'">Togo </xsl:when>
            <xsl:when test=". = '3372'">Tokelau </xsl:when>
            <xsl:when test=". = '3373'">Tonga </xsl:when>
            <xsl:when test=". = '3393'">Trinidad and Tobago </xsl:when>
            <xsl:when test=". = '3394'">Tunisia </xsl:when>
            <xsl:when test=". = '1641'">Turkey </xsl:when>
            <xsl:when test=". = '3395'">Turkmenistan </xsl:when>
            <xsl:when test=". = '3396'">Turks and Caicos Islands </xsl:when>
            <xsl:when test=". = '3397'">Tuvalu </xsl:when>
            <xsl:when test=". = '3402'">Uganda </xsl:when>
            <xsl:when test=". = '3403'">Ukraine </xsl:when>
            <xsl:when test=". = '3406'">United Arab Emirates </xsl:when>
            <xsl:when test=". = '1651'">United Kingdom </xsl:when>
            <xsl:when test=". = '1652'">United States </xsl:when>
            <xsl:when test=". = '3407'">United States Minor Outlying Islands </xsl:when>
            <xsl:when test=". = '3422'">United States Virgin Islands </xsl:when>
            <xsl:when test=". = '3410'">Uruguay </xsl:when>
            <xsl:when test=". = '3412'">Uzbekistan </xsl:when>
            <xsl:when test=". = '3414'">Vanuatu </xsl:when>
            <xsl:when test=". = '3416'">Venezuela </xsl:when>
            <xsl:when test=". = '3420'">Viet Nam </xsl:when>
            <xsl:when test=". = '3425'">Wallis And Futuna </xsl:when>
            <xsl:when test=". = '3428'">Western Sahara </xsl:when>
            <xsl:when test=". = '3433'">Yemen </xsl:when>
            <xsl:when test=". = '3434'">Zambia </xsl:when>
            <xsl:when test=". = '3435'">Zimbabwe </xsl:when>
            <xsl:when test=". = '1342'">other: </xsl:when>
            <xsl:when test=". = '2207'">not specified </xsl:when>
            <xsl:when test=". = '1173'">no data </xsl:when>
        </xsl:choose>
    </xsl:template>
    <xsl:template match="//xt:DataProtection/i6:confidentiality">
        <xsl:choose>
            <xsl:when test=". = '2732'">CBI </xsl:when>
            <xsl:when test=". = '2859'">IP </xsl:when>
            <xsl:when test=". = '3441'">no PA </xsl:when>
        </xsl:choose>
    </xsl:template>
</xsl:stylesheet>
